blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
623222bcbd12309e257171aab2636b31e455311d
Shell
wyattfry/bin
/rword
UTF-8
445
3.90625
4
[]
no_license
#!/usr/bin/env bash # Random word phrase generator for low security passwords get_word() { lines=$(wc -l /usr/share/dict/words | awk '{print $1}') && i=$(( ($lines + $RANDOM) % $lines )) && head -$i /usr/share/dict/words | tail -1 | tr -d '\n' | tr -d "'"; } count=${1:-5} # get count from first argument or defaul...
true
ee24212019faeb625b544fdd57137f025631dca1
Shell
open-horizon/examples
/tools/exchangePublish.sh
UTF-8
7,365
4.21875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash usage() { cat << EOF Usage: ${0##*/} [-h] [-v] [-c <org-name>] [-X] [-e <examples-version>] [-a] Flag: -c <org-name> The exchange organization to publish example deployment policies to (the user's own org, not the IBM org). -X Skip publishing patterns and services to the IBM org. ...
true
0d597f0b5b48450f00535ce764c3144138d0cfc4
Shell
kvpb/.files
/acos.d/install/SFMono.sh
UTF-8
1,698
3.265625
3
[ "MIT" ]
permissive
#!/usr/bin/env bash kernel=$(uname -s) [ "${kernel}" = 'Linux' ] && systemsoftwareversion=0 [ "${kernel}" = 'Darwin' ] && systemsoftwareversion=$(defaults read loginwindow SystemVersionStampAsString | cut -d. -f2- | cut -f1,1 -d'.') wd=$(pwd) n=$[RANDOM%99+1] if [ "${kernel}" = 'Darwin' -a ${systemsoftwareversion} -g...
true
739c38af9ea0772a458a47be5a80905cf11e91d6
Shell
DFirsa/ITMO_linux_adm
/lab1/script
UTF-8
1,214
3.3125
3
[]
no_license
#!/bin/bash function compare { diff_res=$(diff -s $1 $2) if [[ "$diff_res" =~ ^Files* ]]; then echo "YES" else echo "NO" fi } mkdir ~/test cd ~/test ls -a -p /etc > list find /etc -type d | wc -l >> list find /etc -type f -name ".*" | wc -l >> list mkdir links ln list links/list_hlink ln list -rs links/list_sli...
true
0a71eac4f9450873012d9394b09e4406cc2484cb
Shell
geblanco/small-mcqa-experiments
/src/etl/qa4mre_to_json.sh
UTF-8
702
3.796875
4
[ "MIT" ]
permissive
#!/bin/bash if [[ "$#" -lt 1 ]]; then echo "Usage qa4mre_to_json <qa4mre_dataset_folder> <output folder>" exit 0 fi input_folder=$1 output_folder=${2:-$input_folder} processor_script="src/etl/qa4mre_processor.py" [ ! -d ${output_folder} ] && mkdir -p ${output_folder} for xml_file in $(find $input_folder -iname ...
true
844e1fdd79f8513a9f59c580c44c0c600d7e6a35
Shell
darkdreamingdan/mlnd-dog-project
/install_dependencies.sh
UTF-8
775
3
3
[ "MIT" ]
permissive
#!/usr/bin/env bash if ! [ -x "$(command -v unzip)" ]; then echo 'Error: unzip is not installed. Please install unzip package and try again' >&2 exit 1 fi echo 'Downloading dog dataset...' wget https://s3-us-west-1.amazonaws.com/udacity-aind/dog-project/dogImages.zip unzip dogImages.zip rm dogImages.zip echo 'Do...
true
af5748d4015fac2083669efd2a3ac791fa0ecd02
Shell
agentsib/useful-scripts
/bash/counters/habr/habr.sh
UTF-8
1,580
3.328125
3
[]
no_license
#!/bin/bash #username on habrahabr HABRA_USER="agentsib" export DISPLAY=:0 HABRA_LINK="http://habrahabr.ru/users/$HABRA_USER" RESPONSE=`curl --silent -L "$HABRA_LINK"` get_script_path() { echo "$(dirname $(readlink -f "$0"))" } get_image_path(){ echo $(get_script_path)/icon.png } send_message_error(){ ...
true
c2c94db660bba48e777e59df025225df6c6a5824
Shell
saagie/technologies
/technologies/job/python/python-3.11-base/entrypoint
UTF-8
453
3.0625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash set -euo pipefail export CLASSPATH=`hadoop classpath --glob` if compgen -G "*.zip*" > /dev/null; then unzip -q *.zip fi if test -f requirements.txt; then echo "*******PIP INSTALL BEGIN*******" pip install -r requirements.txt; echo "*******PIP INSTALL END*******" fi; if [ $? != 0 ]; then e...
true
352c8840a3c50f99be681a1f9447dec7a92627c2
Shell
Darkvater/ffpbuildenv
/source/squeezeboxserver/make.sh
UTF-8
525
2.546875
3
[]
no_license
# i don't think /$prefix/share is the correct place for slimserver. # remove all arch-specific files rm -rvf CPAN/arch/* # remove duplicate perl modules P5=$CPREFIX/lib/perl5 cd CPAN #$X/clean-cpan.sh $P5/* | $SHELL $X/clean-cpan.sh $P5/5.* $P5/5.*/*-multi $P5/vendor_perl/* $P5/vendor_perl/*/* | $SHELL cd .. # fix i...
true
e20137fa9a8606b2f17a23517953060a86a2495d
Shell
CHN-STUDENT/Shell
/mysqldump.sh
UTF-8
424
3.140625
3
[ "MIT" ]
permissive
MYSQL_USER="root" MYSQL_SERVER="127.0.0.1" MYSQL_SERVER_PORT="3306" db_name="TEST" MYSQL_PASSWD="123456" mysqldump_path=$(command -v mysqldump) if [ -x ${mysqldump_path} ]; then expect <<- EOF set timeout 5 spawn -noecho ${mysqldump_path} -u${MYSQL_USER} -h${MYSQL_SERVER} -P${MYSQL_SERVER_PORT} ${db_name}...
true
2125f91eb14c1bc0d5b2884993fcf74dec01de51
Shell
lcgg110/Recipes
/Tools/our_post-receive.sh
UTF-8
1,091
3.46875
3
[]
no_license
#!/bin/sh # This file is to be used by git repo on server # It should be a file called hooks/post-receive in the bare git repo #set -xe #set -e time=`date` #Check the remote git repository whether it is bare IS_BARE=$(git rev-parse --is-bare-repository) if [ -z "$IS_BARE" ]; then echo >&2 "==========tips==========...
true
e906520b52ea69bf2353cf57d42836d87b3f0902
Shell
dkleinja/analysis_E1039
/an_e906/run_all.sh
UTF-8
711
2.734375
3
[]
no_license
#! /bin/bash echo -n "Enter the first number --> " #read roadse roadset=${BASH_ARGV[1]} seed=${BASH_ARGV[0]} #echo -n "The roadset is ${roadset}" #echo "${BASH_ARGV[0]}" if(seed = 1) then echo "root.exe asym2_thirdday.C\(0,1,${roadset},0,1\)"; root.exe -b -q asym2_thirdday.C\(0,1,${roadset},0,1\) echo "root.exe asym2_...
true
86cb10076be4bf177d96b3504168ad0725d4f561
Shell
MobileDinero/dex
/dex/src/main/container/start.sh
UTF-8
761
3.03125
3
[ "MIT" ]
permissive
#!/bin/bash trap 'kill -TERM $PID' TERM INT echo "Starting process..." >> ${DETAILED_LOG_PATH} echo "Config file: ${WAVES_DEX_CONFIGPATH}" >> ${DETAILED_LOG_PATH} echo "Options: ${WAVES_DEX_OPTS}" >> ${DETAILED_LOG_PATH} # Remove sun.zip.disableMemoryMapping after migration to JRE 9+ # See https://bugs.openjdk.java....
true
936af638a2bc79a55406912521adcb6508108648
Shell
ondar07/bch_arch
/bchnet/scripts/my_short_query.sh
UTF-8
1,166
2.890625
3
[]
no_license
#!/bin/bash set -e # this block must be run by host CHANNEL_NAME=mychannel CHAINCODE_NAME=mycc ORG=org1 #DOCKER_PEER_CONTAINER="run" PEER_HOST=peer1-org1 CORE_PEER_ID=$PEER_HOST CORE_PEER_ADDRESS=$PEER_HOST:7051 CORE_PEER_LOCALMSPID=$ORG_MSP_ID FABRIC_CA_CLIENT_HOME=/etc/hyperledger/fabric/orgs/$ORG/user CORE_PEER_MSP...
true
3294568afb7a87be5b6c053e39a454996260c21e
Shell
tapas-coder/first1
/t2
UTF-8
53
2.640625
3
[]
no_license
#!bin/bash var = `date` echo "today's date is =$var"
true
88e5859887bb76eb901007cf127c6b9947d53496
Shell
ambihelical/dotfiles
/bin/power-control
UTF-8
2,377
3.40625
3
[ "MIT" ]
permissive
#!/bin/bash . ~/bin/common/linux.sh linux=$(linux_distribution_name) version=$(linux_distribution_version) if [ "$linux" != "Ubuntu" -a "$linux" != "Fedora" ]; then echo "Don't know how to handle ${linux}/${version}" exit 1 fi host=$(uname -n) # 1 if legacy dbus in use legacy=0 # 1 if can suspend safely suspend=0 #...
true
a97be639ac048131cfa16600e5791450da32e9b2
Shell
nurosmanbegovic/LogicToolboxLib
/cmake/reconfigure.sh
UTF-8
854
3.90625
4
[ "MIT" ]
permissive
#!/bin/sh # Deletes and rebuilds the temporary CMake files DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" CMAKE_BASE_DIR="$(dirname "$DIR")" if [ -f CMakeLists.txt ] then echo "Directory contains CMakeLists.txt. You should use a clean out of source build. Exiting." exit 1 fi if [ -f CMakeCache...
true
7c0d63d922ae0e7c5e552918b4a82e43ef127201
Shell
mroll/skycover
/runphasing.sh
UTF-8
239
2.984375
3
[]
no_license
#!/bin/bash nfiles=$1 if [[ $nfiles -eq "" ]]; then echo "usage: starprobs <nfiles>" exit fi for wfsmag in 13 14 15 16 17 18 19; do echo -ne "$wfsmag\t" ./skycov --phasing --m3 --notrack --noprint $wfsmag 0 $nfiles done
true
c362af9650a70a914efdf70ec7ecbf0a5638c835
Shell
mrspeiser/wtcli
/fbin/vvs/getclosingtag
UTF-8
230
3.125
3
[]
no_license
#!/bin/bash getclosingtag() { PATTERN=$(~/scripts/wtcli/fbin/vvs/envget match) RMTAGS="< >" NAME=$(tr -d "$RMTAGS" <<< $PATTERN); echo closing tags are: $NAME; CLOSINGTAGS=$(echo "</$NAME>") echo $CLOSINGTAGS } getclosingtag
true
4747868ddb378a45c0b2b59182edc6f921c83367
Shell
displague/displague-dotfiles
/.bashrc.d/25_prompts.sh
UTF-8
1,749
3.875
4
[]
no_license
# set variable identifying the chroot you work in (used in the prompt below) if [ -z "${debian_chroot:-}" ] && [ -r /etc/debian_chroot ]; then debian_chroot=$(cat /etc/debian_chroot) fi # set a fancy prompt (non-color, unless we know we "want" color) case "$TERM" in xterm-color) color_prompt=yes;; esac # unco...
true
776cab92207926fdb9dff6707c4982065f8a5a38
Shell
breeze0908/codeTree
/Shell/zuxing_shell/install_mysql_to_data.sh
GB18030
2,466
2.765625
3
[]
no_license
#!/bin/bash yum install wget gcc gcc-c++ ncurses* openssl openssl-devel -y if [ ! -d /usr/local/src/ ];then mkdir /usr/local/src fi ########װmysql########### cd /usr/local/src wget http://www.cmake.org/files/v2.8/cmake-2.8.3.tar.gz tar xvf cmake-2.8.3.tar.gz cd cmake-2.8.3 ./configure --prefix=/u...
true
0d67f1af45dac34716fde8516340b060ecc3f22a
Shell
kylos101/python-with-prometheus
/scripts/image-build.sh
UTF-8
554
2.84375
3
[ "MIT" ]
permissive
# exit when any command fails set -e pushd ./app # build our image DOCKER_REPO=kylos101 VERSION=1.0.0 IMAGE=$(docker build -q -t python-with-prometheus . | cut -d: -f2) # Uncomment me to test the image locally # docker run -p 8081:8000 -p 8080:5000 -it --rm --name slytherin-slimes python-with-prometheus # Prepare a...
true
da30aaa7aeb491f7efafca95d5e6a62cc92b6044
Shell
wirepas/c-mesh-api
/.ci/install-devtools.sh
UTF-8
706
3.65625
4
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash # Wirepas Oy function _instructions { cat << EOF Please ensure the following software is installed on your host: - clang-format-7 - shellcheck - Python +3.6 - Pip Install pre-commit and other linters with: pip install -r dev-requirements.txt EOF } s...
true
c69e5ceac756c842e1b9e78478b841f0dc075d8f
Shell
frossie-shadow/qserv
/admin/tools/docker/latest/scripts/install-stack.sh
UTF-8
1,264
2.703125
3
[]
no_license
#!/bin/bash # LSST Data Management System # Copyright 2014 LSST Corporation. # # This product includes software developed by the # LSST Project (http://www.lsst.org/). # # This program is free software: you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the F...
true
561ae2d264ab88a6054e616a875bb2285346b920
Shell
WhiteLab/DCCUploadScripts
/fileupload/addchrtobam.sh
UTF-8
805
3.671875
4
[]
no_license
#!bin/baxh #usage : sh addchrtobam.sh <directory name> #makes a copy of bam files in directory $1 to <filename>.nochr.bam #converts all bam files in directory $1 to sam, adds chr, converts them back to bam for filename in $1/*.bam; do fn=$(basename "$filename") echo "processing $filename..." #get file nam...
true
8fa27c2a4a08f511f3ed7d5fde6250515ad58c55
Shell
karbs/homeunix
/src/opt/bin/mencoder_rename
UTF-8
837
3.546875
4
[]
no_license
#!/usr/bin/env bash #if pgrep mplayer; then # exit 0 #fi SS=0 f=$1 opts= add_option(){ opts+=" $@" } if [[ $f =~ :a\(([^\)]*)\) ]]; then add_option "-aspect ${BASH_REMATCH[1]}" fi if [ -e "$f" ]; then eval `stat -L -s "$f"` S=$((st_size/1000000)) if [ $S -gt 100 ]; then #SS=$(( S*RANDOM/8...
true
80fdb0b01f62e5b1cbbf325954279b9b3413a864
Shell
darothen/conda-recipes
/assimulo/build.sh
UTF-8
479
2.828125
3
[]
no_license
#!/usr/bin/env bash if [ $(uname) == Darwin ]; then # Flags for compiling and linking Fortran modules on osx export CFLAGS="-arch x86_64" export FFLAGS="-static -ff2c -arch x86_64" export LDFLAGS="-Wall -undefined dynamic_lookup -bundle -arch x86_64" fi $PYTHON setup.py install # Add more build step...
true
d94af0606680a21ab460d89f99ab42214fd95050
Shell
YungSang/coreos-packer
/oem/motdgen
UTF-8
1,103
3.484375
3
[ "CC0-1.0", "Apache-2.0" ]
permissive
#!/bin/bash -e # Copyright (c) 2014 The CoreOS Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. # We want to grab the GROUP variable [ -e /usr/share/coreos/update.conf ] && source /usr/share/coreos/update.conf [ -e /etc/coreos/update.c...
true
bc6961b0a389555f1b759ba7cdd7d32cf76fb85a
Shell
ausbitbank/hivemind-1
/scripts/ci/start-api-benchmarks.sh
UTF-8
892
3.40625
3
[ "MIT" ]
permissive
#!/bin/bash set -e pip3 install tox export HIVEMIND_ADDRESS=$1 export HIVEMIND_PORT=$2 ITERATIONS=${3:-5} JOBS=${4:-auto} export TAVERN_DIR="$(realpath $5)" # since it working inside docker it shoud be fine to hardcode it to tmp export HIVEMIND_BENCHMARKS_IDS_FILE=/tmp/test_ids.csv export TAVERN_DISABLE_COMPARATOR=...
true
ee4a5ddfaad024d6113fbee3ba51ceeb915f8e97
Shell
zhaoxifeng/git
/win_buildcv.sh
UTF-8
1,216
3.234375
3
[]
no_license
#!/bin/bash -e rootDir=$(pwd) rm -rf Build/opencv rm -rf Install/opencv mkdir -p Build/opencv mkdir -p Install/opencv CMAKE_CONFIG_GENERATOR="Unix Makefiles" if [ ! -d "$buildDir/opencv" ]; then echo "cloning opencv" git clone https://github.com/opencv/opencv.git else # cd opencv # git pull --rebase ...
true
158bc8c9250146b042b74b161ea4d1003c1f0a0a
Shell
sumitdhingra/item-player-starter-kit
/create-item-player-admin.sh
UTF-8
715
2.671875
3
[]
no_license
echo Enter your player name read playername while [[ ! $playername =~ ^[a-zA-Z-]+$ ]];do echo "Please enter only alphabets or - in player name" read playername done npm install -g yo generator-item-player yo item-player $playername echo Enter Bitbucket Username read username echo Enter Bitbucket password read p...
true
3aa036b9bdaa60f7b475c1dffeb990780a1a6587
Shell
acduroy/rhel-hw-cert
/Step1-PXE-Install.sh
UTF-8
1,898
3.9375
4
[]
no_license
#!/bin/bash # Ref: https://rbgeek.wordpress.com/2014/09/16/ip-setting-on-centos6-using-shell-script/ # Script Name: ip-setting.sh # Usage: ip.sh <interface> <baseip> <ipaddress> <gateway> <dns> # # $1 - network interface device name (ex. eth0) # $2 - base ip address (first three octets; ex. 10.100.204) # $...
true
27a7ebea0b44f9b7797e18750bcc3781ab078c30
Shell
n0ts/kumofs-redhat
/kumofs-kumo-gateway.sysinit
UTF-8
2,779
3.828125
4
[]
no_license
#!/bin/sh # # kumo-gateway this daemon receives requests from applications and relays it to the kumo-servers. # # Copyright (C) 2009-2010 FURUHASHI Sadayuki # # chkconfig: - 99 01 # description: kumo-gateway this daemon receives requests \ # from applications and relays it to the kumo-servers. \ # ...
true
1b235c0f13955a5e602c5bfd0e6efa4dfb308cb0
Shell
MPO-Group/MPO
/client/python/tests/swim.test
UTF-8
3,469
3.203125
3
[]
no_license
#!/bin/bash #specify MPO server address. The API will read this value. #defaults are used if environment is not set if ! [ -n "${MPO_HOST:+x}" ] then export MPO_HOST=https://localhost fi if ! [ -n "${MPO_VERSION:+x}" ] then export MPO_VERSION=v0 fi if ! [ -n "${MPO_HOME:+x}" ] then echo "Error: Must have MPO_HO...
true
61f4d33ce9f33ca3ed1032865b14808a4a8d6657
Shell
JorgenKrieger/dotfiles
/install/components/dns.sh
UTF-8
445
3.125
3
[]
no_license
#!/bin/bash Cloudflare=( 1.1.1.1 1.0.0.1 2606:4700:4700::1111 2606:4700:4700::1001 ) Google=( 8.8.8.8 8.8.4.4 2001:4860:4860::8888 2001:4860:4860::8844 ) OpenDNS=( 208.67.222.222 208.67.220.220 ) installer "Which DNS shall I set up?" select DNS in Cloudflare Google OpenDNS; do eval NEW_DNS=\${...
true
70722833a810570aea0cf51d485725e72ab9c1b5
Shell
tproenca/pmsbox
/rootfs.setup
UTF-8
1,511
3.421875
3
[]
no_license
#!/usr/bin/env bash set -e if [ "$#" -ne 2 ]; then echo "Usage: $0 DIST DIST_URL" exit 1 fi DIST=$1 DIST_URL=$2 echo "Running postinstall script..." # Sets the hostname echo "pmsbox" > /etc/hostname # Set the locale locale-gen en_US.UTF-8 # Set timezone dpkg-reconfigure -f noninteractive tzdata # Set the keyb...
true
df4971c9746d70242a3fd09dd1a83c587415ca8f
Shell
pratik98/Shell-Scripts
/10_max_no.sh
UTF-8
303
3.1875
3
[]
no_license
#7_max_no.sh #maximum no. from 3 numbers echo "Enter value of A:" read a echo "Enter value of B:" read b echo "Enter value of C:" read c if test $a -gt $b then if test $a -gt $c then echo $a "is greater" fi else if test $b -gt $c then echo $b "is greater" else echo $c "is greater" fi fi
true
b576a5346a9ac7b9fc5d1eebfe9ce4f50a1ca3de
Shell
seomoz/rep-cpp
/scripts/check-coverage.sh
UTF-8
1,020
3.671875
4
[ "MIT" ]
permissive
#! /usr/bin/env bash set -e if [ "$#" -ne 1 ]; then echo "Usage:" echo " check-coverage.sh <path-to-project-root>" exit 1 fi root="${1}" results=`gcovr \ --root=${root} \ --exclude-unreachable-branches \ --output=coverage.out \ --print-summary \ --object-directory=${root} \ --...
true
2a992d551eec09f7d0897a09eacf9cb1ac70c7a2
Shell
akichinguyen/constrained-alignment
/run_mummer.sh
UTF-8
544
2.578125
3
[]
no_license
#! /bin/bash echo Please enter number of references you want read number_ref g++ generate_data.cpp -o generate_data ./generate_data $number_ref i=0 while [ $i -lt $number_ref ] do /home/thunguyen/Downloads/mummer-3.9.4alpha/./mummer /home/thunguyen/Downloads/ksw2-master/test_ref/test/ref_$i.fa /home/thunguyen/Download...
true
192c7043e42204f9b87a365d58c535bc858cb9dc
Shell
moodlehq/moodle-local_ci
/tests/1-remote_branch_reporter.bats
UTF-8
2,031
3.046875
3
[]
no_license
#!/usr/bin/env bats load libs/shared_setup teardown() { clean_workspace_directory } # Helper to assert remote branch reporter info # usage: assert_checkstyle fixturename format repo hash assert_remote_branch_reporter() { template=$BATS_TEST_DIRNAME/fixtures/remote_branch_reporter/$1/ fixture=$WORKSPACE/$...
true
9879f0793906397a01e3418b801bf9b852d37dfb
Shell
stark/scripts
/vcut
UTF-8
326
3.328125
3
[]
no_license
#!/bin/sh # https://superuser.com/questions/377343/cut-part-from-video-file-from-start-position-to-end-position-with-ffmpeg [ $# -lt 3 ] && echo "$(basename $0) FILE 00:00:00 0" && exit 1 FILE="$1" OUT="out.$(basename "$FILE")" # Start time S="$2" # Cut Duration T="$3" ffmpeg -ss $S -i "$FILE" -t $T -c copy $OUT ex...
true
910d76a92aa5e9a23dc5f4fb7d98f545c7a9bdbd
Shell
chensongxian/shell
/结构化命令/test12.sh
UTF-8
234
3.296875
3
[]
no_license
#!/bin/bash # 检查文件是否存在 jump_directory=/home/csx1164077611 if [ -d $jump_directory ] then echo "the directory $jump_directory exists" cd $jump_directory ls else echo "the directory $jump_directory not exists" fi
true
60c29a81bf8a416695f39efc73dae9b2fc14bab9
Shell
petronny/aur3-mirror
/linux4tegra/PKGBUILD
UTF-8
2,692
2.734375
3
[]
no_license
pkgname=linux4tegra pkgver=R16.2 pkgrel=1 arch=(arm armv7h) url="http://developer.nvidia.com/linux-tegra" license=(custom) options=(!strip) pkgdesc="drivers and codecs for nvidia tegra platform" platform=ventana # ventana / cardhu xabi=13 #5..13 source=("http://developer.download.nvidia.com/akamai/mobile/files/L4T/${...
true
4ac69c7fe69c2da51bf9fb7149f511b7bf96f5da
Shell
cupnes/sh_ss_slideshow_osc2021aizu
/src/render.sh
UTF-8
2,267
2.78125
3
[]
no_license
if [ "${RENDER_SH+is_defined}" ]; then return fi RENDER_SH=true . include/common.sh . include/sh2.sh . include/ss.sh # 指定された投影面座標(PRJx,PRJy)をゲームスクリーン座標(GSx,GSy)へ変換 # GSx = PRJx + (SCREEN_WIDTH / 2) # GSy = (SCREEN_HEIGHT - 1) - PRJy # 第1引数 - PRJx, GSx に使うレジスタ # 第2引数 - PRJy, GSy に使うレジスタ # work: r0 - 作業用 transform_to...
true
901d62bfab8731be968c295162b2fd3866a4c486
Shell
luoyetx/installers
/python2.sh
UTF-8
553
2.65625
3
[]
no_license
#!/usr/bin/env bash . BasicConfig.sh # configure VERSION=2.7.9 # install dependencies yum install -y zlib-devel bzip2-devel openssl-devel xz-libs sqlite-devel path readline-devel # fetch source code wget -c https://www.python.org/ftp/python/${VERSION}/Python-${VERSION}.tar.xz tar -J -xvf Python-${VERSION}.tar.xz #...
true
109e884ac05cef1b1be9c6884ce52338686ba8ef
Shell
MuhammadUsman-coder/hitler
/ultimate-nmap.sh
UTF-8
169
2.9375
3
[]
no_license
#!/bin/bash ip="$1" function scan(){ nmap -T4 -Pn -p$i-$j $ip|grep -i 'open' >> $ip.nmap & } for (( i=1;i<=65000;i=i+5000 ));do j=$((i+5000)) scan; done
true
fbf82d301967efdf1fc18b34f298f5d6aa530992
Shell
EverywhereWeGo/apitokafka
/01.terminal/remote/restart.sh
UTF-8
113
2.546875
3
[]
no_license
#!/bin/sh script_abs=$(readlink -f "$0") path=${script_abs%/bin*} sh $path/bin/stop.sh sh $path/bin/start.sh $@
true
f012531d5bd7147d0ea7c0831b28aa85e71dba43
Shell
Mittanand/Tiny-Search-Engine
/crawler/testing.sh
UTF-8
2,241
3.34375
3
[]
no_license
#!/bin/bash # # testing.sh: testing file for crawler.c # # Input: # Output: test cases for crawler # # by Anand Mittal, CS50 Summer 2020 printf "\n\n----------------------------------------------------------------" printf "Testing: incorrect arguments\n\n" printf "Input: ./crawler 1 2 3 4\n" ./crawler 1 2 3 4 prin...
true
a424871142b79d2ba1c7cd30145289df8371b7e3
Shell
TDWagner/scripts
/bash/stackVer.sh
UTF-8
403
2.578125
3
[]
no_license
#!/bin/bash ############################ # stackVer.sh # This script returns the versions for lots of different apps in the web development stack ############################ echo "git version:" git --version echo "gem version:" gem -v echo "ruby version:" ruby -v echo "rails version:" rails -v echo "bundle versio...
true
98c7aabb47fe84bcb5bc8a1b7f38a00498980fa5
Shell
coopermaruyama/bash-checkbox
/checkbox.sh
UTF-8
1,361
3.703125
4
[]
no_license
#!/bin/bash # Bash Checkbox # By @HadiDotSh options=("$@") max="${#}" current=0 tput sc for (( i=0 ; i<max ; i++ ));do selected[${i}]=false done function keyboard(){ IFS= read -r -sn1 t if [[ $t == A ]]; then [[ "$current" == "0" ]] || current=$((current - 1)) elif [[ $t == B ]]; th...
true
9b2298d1555e29b0082e9496dc06971e08a00250
Shell
kimmoahola/dotfiles
/install.sh
UTF-8
2,156
3.703125
4
[ "LicenseRef-scancode-warranty-disclaimer" ]
no_license
#!/usr/bin/env bash set -euo pipefail # Ask for the administrator password upfront sudo -v # Get current dir (so run this script from anywhere) export DOTFILES_DIR DOTFILES_CACHE DOTFILES_EXTRA_DIR DOTFILES_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" DOTFILES_CACHE="$DOTFILES_DIR/.cache.fish" DOTFILES_EX...
true
15eb3ebeef90d60e0f138d71e79895730d37d20d
Shell
juliusblank/packer-files
/devbox/scripts/virtualbox.sh
UTF-8
379
2.8125
3
[]
no_license
#!/bin/bash # Only run for virtualbox if [[ `facter virtual` != "virtualbox" ]]; then exit 0 fi mkdir -p /mnt/virtualbox mount -o loop /home/vagrant/VBoxGuest*.iso /mnt/virtualbox sh /mnt/virtualbox/VBoxLinuxAdditions.run ln -s /opt/VBoxGuestAdditions-*/lib/VBoxGuestAdditions /usr/lib/VBoxGuestAdditions ...
true
936c88be823e25e8b8b0fa7786bbc05c7b041e0d
Shell
phoronix-test-suite/test-profiles
/pts/build-linux-kernel-1.2.0/pre.sh
UTF-8
242
3.140625
3
[ "MIT" ]
permissive
#!/bin/sh rm -rf linux-2.6.25/ tar -xjf linux-2.6.25.tar.bz2 case $OS_ARCH in "x86_64" ) cp -f linux-2625-config-x86_64 linux-2.6.25/.config ;; * ) cp -f linux-2625-config-x86 linux-2.6.25/.config ;; esac cd linux-2.6.25/ make clean
true
24df3c1f141058d9c8cfea02e1964e2fc2bf6b8f
Shell
msys2/MINGW-packages
/mingw-w64-mdloader/PKGBUILD
UTF-8
998
2.59375
3
[ "BSD-3-Clause" ]
permissive
# Maintainer: fauxpark <fauxpark@gmail.com> _realname=mdloader pkgbase=mingw-w64-${_realname} pkgname=${MINGW_PACKAGE_PREFIX}-${_realname} pkgver=1.0.7 pkgrel=1 pkgdesc='Massdrop keyboard firmware loader (mingw-w64)' arch=('any') mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clang32' 'clangarm64') license=('spdx...
true
4d199bc831fbdaf8f74e0db81ceec65cc652671c
Shell
daveshah1/prjuray
/.github/kokoro/steps/xilinx.sh
UTF-8
660
2.578125
3
[ "LicenseRef-scancode-dco-1.1", "ISC" ]
permissive
#!/bin/bash # # Copyright (C) 2020 The Project U-Ray Authors. # # Use of this source code is governed by a ISC-style # license that can be found in the LICENSE file or at # https://opensource.org/licenses/ISC # # SPDX-License-Identifier: ISC # Fix up things related to Xilinx tool chain. ls -l ~/.Xilinx sudo chown -R...
true
1c15e81144de983cec96edd42757630656397a8c
Shell
icy/sops-695
/sops_secure_encryption.sh
UTF-8
1,651
3.875
4
[]
no_license
#!/usr/bin/env bash # Purpose : Securely encrypt file with sops 3.6.0, # due to a bug https://github.com/mozilla/sops/issues/695 # we encrypt, decrypt if that's fine, and replace the original file. # Warning : This method will replace the original file. # Author : Ky-Anh Huynh # License : MIT set...
true
ae9b3a347092f6df89130c536daab4d1971d489f
Shell
wware/lpp
/serve.sh
UTF-8
149
2.546875
3
[]
no_license
#!/bin/sh HERE=. if [ -f .lpprc ]; then . ./.lpprc; else if [ -f $HOME/.lpprc ]; then . $HOME/.lpprc; fi fi (cd $HERE; ./lpp < README.md) | grip -
true
218abe7782fc38626ed1dac2026e97014d0cec9f
Shell
lianruhe/react-spa
/cli/docs.sh
UTF-8
269
2.609375
3
[ "MIT" ]
permissive
set -e echo "Enter message: " read MESSAGE echo "Deploying $MESSAGE ..." # clean npm run clean # compiler npm run compile # commit cd dist git init git add -A git commit -m "$MESSAGE" git push -f git@github.com:lianruhe/react-spa.git master:gh-pages # back to root cd ..
true
6d936f8efe4d79a244a8ce02aea32313137c87ff
Shell
userdocs/LFTP4WIN-CORE
/system/scripts/lftp-conf-override.sh
UTF-8
1,075
2.84375
3
[ "Apache-2.0" ]
permissive
# Options should be set or modified in the /etc/lftp.conf and applied globally if not editable here. # # Here you can customize some settings for the mirror command that will override the lftp.conf defaults. # # This is where you can set the command switches for the mirror command. mirror_args='-c' # Optional - The num...
true
8042bb917311ad64d6c7cc84e85d14c74ae3ff6f
Shell
dcomposed/alpine-meteor
/scripts/rebuild_bin_npm_modules.sh
UTF-8
272
2.671875
3
[ "MIT" ]
permissive
#!/bin/sh export PYTHONPATH=/usr/lib/python2.7 export GYP_DEFINES="linux_use_gold_flags=0" BINARY_MODULES=$(find /bundle -name 'binding\.gyp' -exec dirname {} \; | grep -v fibers) for BINARY_MODULE in $BINARY_MODULES; do cd $BINARY_MODULE node-gyp rebuild done
true
6f2b1c57835dde04a7279a9ed1f6e7610f772d07
Shell
seattleflu/lab-result-reports
/devel/build-number
UTF-8
247
3.234375
3
[ "MIT" ]
permissive
#!/bin/bash set -euo pipefail cd "$(dirname "$0")" build="$(git for-each-ref --format '%(refname:lstrip=2)' --sort -version:refname --count 1 refs/tags/build-*)" build="${build##build-}" if [[ -z "$build" ]]; then build=0 fi echo "$build"
true
fb70d33994cb60291ef3ceb6cd501220545031bc
Shell
mikrofyr/playground
/install/lib/vim.sh
UTF-8
352
3.25
3
[]
no_license
#!/bin/bash echo "usr.sh" if [ -d ~/.vimrc ]; then echo "Error: ~/.vimrc already exists" exit 1 fi if [ -d ~/.vim ]; then echo "Error: ~/.vim already exists" exit 1 fi VIM_PATH="../usr/share/vim" pwd if [ ! -d $VIM_PATH ] ; then echo "Error: Could not find source folder" exit 1 fi ln -s $PWD/$VIM_PATH...
true
8c41d2255736d69047461b84f7efd17b7243a291
Shell
khalid-azraq/chef-project
/get_chef_key.sh
UTF-8
592
3.09375
3
[]
no_license
#!/bin/bash # # This script copies over the chefadmin.pem file to the localhost. set -e function metadata_value() { curl --retry 5 -sfH "Metadata-Flavor: Google" \ "http://metadata.google.internal/computeMetadata/v1/$1" } function server_name() { metadata_value "instance/attributes/server-name" } fun...
true
379a13c58d17b1ba60fefc797c991c484f5bb4f2
Shell
patha325/UnpackingAnalysis
/analysis2/shell/Decode.sh
UTF-8
739
3
3
[]
no_license
#!/bin/sh cd ../Analysis i=1 j=1 k=1 n=2 N=30 NN=10 DataDir="/Users/jinaren/Documents/T2K/BabyMIND/commissioning_run/event_estimation/macro/Myanalysis/data/2018_Mar_May" while [ $k -le $n ] do if [ $k -eq 1 ] then mon="mar" elif [ $k -eq 2 ] then mon="Apr" else mon="May" fi i=1 while [...
true
0909f07474e55b191fbdeb1b6cbee74660801ed9
Shell
daria-andrioaie/Operating-Systems
/IndividualPractice/shell/horea_10.sh
UTF-8
431
3.71875
4
[]
no_license
#!/bin/sh # 10. Write a script that receives program/process names as command line arguments. The script will monitor all the processes in the system, and whenever a program with one of those names is run, the script will kill it and display a message. (see commands ps, kill, killall). while true; do for bad; do n=...
true
a88decd1cc0473ea581d9423e137e3621bcd4fb2
Shell
dudiadudia1/devrel
/tools/portable-proxy-deployer/pipeline.sh
UTF-8
1,171
2.515625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Copyright 2021 Google LLC # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # <http://www.apache.org/licenses/LICENSE-2.0> # # Unless required by applicable law or agreed to in...
true
659ecc3b39f8fe753fdc73ec8c07512385cfb5b0
Shell
wrhsd1/pub.scripts.misc
/libresonic_update_library.sh
UTF-8
919
3.0625
3
[ "Unlicense" ]
permissive
#!/bin/sh # # Paul Komurka https://github.com/pawlex/pub.scripts.misc # COOKIE="cookie.curl" STORECOOKIE="--cookie-jar $COOKIE" LOADCOOKIE="-b $COOKIE" URLROOT='http://localhost:4040/sonic' ADMIN_USERNAME="admin" ADMIN_PASSWORD="admin" # Pull the page to get the CSRF and store the initial cookie. RETVAL=`curl -s ${STO...
true
225247b972053f36e59b05bb34fd60d843e215fb
Shell
Bjay1435/capstone
/rootfs/var/lib/dpkg/info/upstart.postinst
UTF-8
3,001
3.375
3
[ "MIT" ]
permissive
#!/bin/sh -e if dpkg --compare-versions "$2" lt-nl 0.6.0; then # We're upgrading from a version of Upstart that doesn't use # D-Bus for its IPC. We have to tell it to re-exec into one # that does. It'll lose all state, but we didn't keep much # in those days. telinit u elif ! ischroot; then # Do not honour re-...
true
0d22825bde2a477657b10776bee29ed1c706b0e8
Shell
gipert/.dotfiles
/.zsh/p10k-addons.plugin.zsh
UTF-8
311
2.9375
3
[]
no_license
prompt_singularity_venv() { if [[ -n "$CENV_NAME" ]]; then p10k segment -i 'ﱾ' -t "$CENV_NAME" elif [[ -n "$APPTAINER_CONTAINER" ]]; then local name=$(readlink "$APPTAINER_CONTAINER") name=$(basename "$name") p10k segment -i 'ﱾ' -t "$name" fi } # vim: syntax=sh
true
5459478eba17ac4fc7836515c13fde5a0490a285
Shell
msmiel/mnemosyne
/books/Scripting/bash command line primer supp/chapter1/array1.sh
UTF-8
502
3.28125
3
[]
no_license
#!/bin/bash # http://www.thegeekstuff.com/2010/06/bash-array-tutorial # method #1: fruits[0]="apple" fruits[1]="banana" fruits[2]="cherry" fruits[3]="orange" fruits[4]="pear" echo "first fruit: ${fruits[0]}" # method #2: declare -a fruits2=(apple banana cherry orange pear) echo "first fruit: ${fruits2[0]}" # ra...
true
0918acc7f9010cfdab56adc4f8ff471b29a88ba3
Shell
hlarsen/cmangos-vagrant
/provision-scripts/setup_user.sh
UTF-8
4,350
3.703125
4
[]
no_license
#!/bin/sh # # This script should be executed by a non-root user (it should be called from setup.sh) # It takes care of compilation, db updates and configs # # use arg to pick expansion case "$1" in "classic") export GIT_REPO_CORE_ABBR="mangos-classic" export GIT_REPO_DB_ABBR="classic-db" ;; "tbc") export GIT_R...
true
842a1e35dc6fc50c9d414b592687a5f1ef38af82
Shell
milanDewilde/VirtueleNetwerken
/opdracht02/LAMP/provisioning/Drupal.sh
UTF-8
3,005
3.703125
4
[ "BSD-2-Clause", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#! /usr/bin/bash # # Drupal script for LinuxServer1 #------------------------------------------------------------------------------ # Bash settings #------------------------------------------------------------------------------ # abort on nonzero exitstatus set -o errexit # abort on unbound variable set -o nounset # ...
true
c40d0dd92d3b0949a9dc75d8fd4824cc0358f4cf
Shell
teamwork523/cs583project
/PRE.sh
UTF-8
894
2.828125
3
[]
no_license
#!/bin/bash fname=$1 rm llvmprof.out # Otherwise your profile runs are added together clang -emit-llvm -o $fname.ls.bc -c $fname.c || { echo "Failed to emit llvm bc"; exit 1; } #opt -loop-simplify < $fname.bc > $fname.ls.bc || { echo "Failed to opt loop simplify"; exit 1; } #cat $fname.bc > $fname.ls.bc opt -load /hom...
true
31c41144fac5c275fcbce560051d7b2a33e29507
Shell
weinbe2/sierra-qhmc-quda
/step07_qopqdp.sh
UTF-8
658
2.984375
3
[ "MIT" ]
permissive
#! /bin/bash echo "" echo "##########" echo "# QOPQDP #" echo "##########" source "$(cd "$(dirname "$BASH_SOURCE")"&&pwd)/env.sh" # Download, reconfigure cd $BASEDIR/lqcd/src if [[ -d qopqdp-git ]];then cd qopqdp-git git stash git pull if git stash show > /dev/null;then git stash pop;fi else git clone https://g...
true
308c91a70089215325c678fd9ecf810f5d089fb1
Shell
jasonfsmitty/utilities
/scripts/beep
UTF-8
844
4.03125
4
[]
no_license
#!/bin/bash # # beep [<exitCode> [<customMsg>]] # # <exitCode> - Optional exit code of the operation that is causing the notification. # <customMsg> - Optional custom message to display in the dialog box (if applicable). # exitcode="${1}" shift message="${@}" # always try the audible beep printf '\a' if which z...
true
7b9134bb6d408068e115f1eaf2f81a3cc2738f13
Shell
kalekundert/vim_config
/install.sh
UTF-8
589
4
4
[]
no_license
#!/usr/bin/env sh # Create symbolic links to the scripts being installed. This requires figuring # out where they these scripts are located on the filesystem, but I can make a # pretty good guess by parsing the path in front of $0. But I also allow the # user to manually enter a path. SCRIPT_PATH=$(readlink -f $...
true
e6fd65dba7739b0456b103df602189939d944409
Shell
kranik/REPPS
/Scripts/truncate_event_columns.sh
UTF-8
9,541
4.15625
4
[ "BSD-3-Clause", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/bin/bash if [[ "$#" -eq 0 ]]; then echo "This program requires inputs. Type -h for help." >&2 exit 1 fi #requires getops, but this should not be an issue since ints built in bash while getopts ":r:m:e:s:h" opt; do case $opt in h) echo "Available flags and options:" >&1 echo "-r [FILEPATH] -> Spec...
true
7c9eb4d94ba9622566a3b882206e56d00411e6f4
Shell
sakoken/gardening
/scripts/server-switcher.sh
UTF-8
496
3.515625
4
[]
no_license
#!/usr/bin/env bash # for httpd PROCESS=$1 HTTPD_STATUS=`systemctl is-enabled httpd` NGINX_STATUS=`systemctl is-enabled nginx` if [ $PROCESS = 'httpd' ]; then if [ $NGINX_STATUS = 'enabled' ]; then systemctl disable nginx; systemctl stop nginx; fi systemctl enable httpd; systemctl restart ht...
true
f499c459657918c11a47e35350ac95a182069c85
Shell
abmusse/nodejs-idb-connector
/release.sh
UTF-8
497
2.96875
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -e PATH="/QOpenSys/pkgs/bin:$PATH" DATE=$(date +"%Y-%m-%d_%H-%M-%S") BRANCH="release-$DATE" REMOTE="fork" MAIN_BRANCH="master" if [ ! -d node_modules ]; then # install deps npm install fi # checkout main branch and pull the latest changes git checkout $MAIN_BRNACH git pull $REMOTE $MAIN_BRANC...
true
82dcb9885f534eb4736dca9e73682aae0bd69550
Shell
nv-kkudrynski/DeepLearningExamples
/TensorFlow2/Recommendation/DLRM/tests/test_fspecs.sh
UTF-8
352
2.609375
3
[]
no_license
#!/bin/bash NAMES=${1:-'*.yaml'} COMMON_OPTS="--xla --amp" bash test_with_opts.sh "${NAMES}" "${COMMON_OPTS}" # # usage: # docker build . -t nvidia_dlrm_tf # docker run --security-opt seccomp=unconfined --runtime=nvidia -it --rm --ipc=host -v ${PWD}/data:/data nvidia_dlrm_tf bash # cd te...
true
620f5fb0ec7014c3375d25e143a8401a4b2608b1
Shell
steffromfrance/Raspberry-Archlinux-Setup
/OpenVpn-Setup.sh
UTF-8
1,231
2.5625
3
[]
no_license
#! /bin/sh #-Installing and configuring my OpenVpn connection # https://support.purevpn.com/linux-openvpn-command/ #watch -n 10 'dig +short myip.opendns.com @resolver2.opendns.com' watch -n 10 'dig +short myip.opendns.com @resolver2.opendns.com' mkdir -p /var/log/openvpn/client mkdir -p /etc/openvpn/client cd /etc/ope...
true
631fecb0687ba0ad4424f7b53ac086cf62d9b783
Shell
yoannlr/dotfiles
/.local/bin/displays_menu
UTF-8
152
2.828125
3
[]
no_license
#!/bin/sh layout=$(ls $SCREENLAYOUTS | dmenu -p 'Select configuration') if [ ! -z $layout ] then "${SCREENLAYOUTS}/${layout}" sleep 1 setwall -r fi
true
ff35b14d26d301c30309caa569f271b6d4c3c49f
Shell
Wezl/mlt-scripts
/teamcity/shotcut.sh
UTF-8
916
3.84375
4
[]
no_license
#!/bin/bash # This script is used by teamcity to retrieve the shotcut script and run it # Author: Brian Matherly # License: GPL2 set -o nounset set -o errexit # Get Script wget --no-check-certificate https://raw.githubusercontent.com/mltframework/shotcut/master/scripts/build-shotcut.sh chmod 755 build-shotcut.sh ech...
true
29ffd1a7f4ff5249f7d0807aff8977503d3d54c2
Shell
uwsampa/grappa-docker
/grappa/setup_environment.sh
UTF-8
533
3
3
[]
no_license
#!/bin/bash profile=/root/.bashrc cd / # have to make sure we re-set shmmax before running any Grappa programs echo "sudo sysctl -w kernel.shmmax=$((1<<30)) >/dev/null 2>/dev/null" >> $profile # set prompt colors because I'm a bit vain about that echo "export PS1='\[\e[0;34m\]docker \[\e[m\]\[\e[0;32m\]\w\[\e[m\] \...
true
9c3b7890b3f463ad00b0f28d92af607cba2a1505
Shell
silarsis/logcabin
/run.sh
UTF-8
317
2.828125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # # Run the container linked to a given other container # Usage: `run.sh client_container_name` # We bind the docker socket in from the host for ease of use. DOCKER_RUN="docker run -it -v /var/run/docker.sock:/var/run/docker.sock ${TIMEZONE_FLAGS}" set -x ${DOCKER_RUN} logcabin /usr/local/bin/cron.sh
true
a89fd3e442a49d8da119ded1c26c9a27e1cab419
Shell
igoihman/ovs-dpdk-setup
/get_nic_info.sh
UTF-8
428
3.5
4
[]
no_license
#!/bin/bash if [ "$#" -ne 1 ]; then echo "illegal args number" exit 1 fi INTERFACE=$1 NUMA_ID=`cat /sys/class/net/"$INTERFACE"/device/numa_node` CPU_LIST=`cat /sys/class/net/"$INTERFACE"/device/local_cpulist` DRIVER=`readlink /sys/class/net/"$INTERFACE"/device/driver/module` if [ $DRIVER ]; then DRIVER=`echo $DRI...
true
556fdae3fb6c695db758ca7a81080a66a8bf58fc
Shell
macarenajs/macarenajs
/scripts/setup
UTF-8
851
3.140625
3
[]
no_license
#!/usr/bin/env bash set -eou pipefail dir="$(dirname "$0")" # building printf "Start build 🚧\n\n" docker-compose build printf "\n\n✅ Finish build\n" sleep 2 printf "\033c" # dependencies printf "Start install deps "yarn install" ☕️\n\n" "$dir/yarn" install printf "\n\n✅ Finish install yarn\n" sleep 2 print...
true
f2a721b072a9ff678a50dea95050aa8f792fddba
Shell
DallasEpperson/BashScripts
/bashrc
UTF-8
157
3.78125
4
[]
no_license
myBranchContains() { git merge-base --is-ancestor $1 HEAD; NOTCONTAINED=$?; if [[ $NOTCONTAINED = 0 ]]; then echo "true"; else echo "false"; fi }
true
1a30adcbfcffcf7cee66760b0c393d887cc52e5e
Shell
lannyMa/shell_env
/shell/shell_lib.sh
UTF-8
633
3.296875
3
[]
no_license
#!/usr/bin/env bash print_red() { printf '%b' "\033[91m$1\033[0m\n" } print_green() { printf '%b' "\033[92m$1\033[0m\n" } echo echo '----------------------' print_green "how is going everybody!" print_red "you are doing stupid things!" printf "%s ----- %s" "maotai" "hello world" run_time="`date '+%Y-%m-%d %H:...
true
f8c0195c24e35cdf6fc8e5e8bb2f2cd8eade8ea1
Shell
ppresto/vault-demos
/demos/docker/13_Tokens.sh
UTF-8
4,807
3.4375
3
[]
no_license
#!/bin/bash # # # https://learn.hashicorp.com/vault/identity-access-management/tokens # # DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )" # This is for the time to wait when using demo_magic.sh if [[ -z ${DEMO_WAIT} ]];then DEMO_WAIT=0 fi # Demo magic gives wrappers for running commands in...
true
71e281021e83f035bf848421034e248427277742
Shell
samaratrilling/CULPAConvo
/scripts/get_prof_names.sh
UTF-8
175
2.734375
3
[]
no_license
#!/bin/bash COUNTER=0 while [ $COUNTER -lt 113 ]; do curl http://api.culpa.info/professors/department_id/$COUNTER >> professors.txt let COUNTER=COUNTER+1 done
true
c826ea3a86f82f2d15131188f9eded1d512f82b1
Shell
daxcor/cupubot
/loop/bash/tasks/logger_html.bash
UTF-8
3,530
3.28125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash function process_logger_html() { # global-project : last_id # global-module : _ local i update message avatar_image # Do not offset ! Stay with ID. # Script might need to be restarted. # updates=$(curl -s "${tele_url}/getUpdates?offset=$last_id") local updates=$(curl -s "${tele_...
true
77650079e5adea6bf299c827a5e1966811e6440a
Shell
parrot-stream/parrot-cloudera-parcels
/common
UTF-8
2,642
3.390625
3
[]
no_license
#!/bin/bash command -v git >/dev/null 2>&1 || { echo >&2 "Cloudera Parcel generators require 'git' but it's not installed. Please, install 'git'!"; exit 1; } command -v mvn >/dev/null 2>&1 || { echo >&2 "Cloudera Parcel generators require 'Maven' but it's not installed. Please, install 'Maven'!"; exit 1; } command -v ...
true
a8516e9f2cb8d7c976dd7f1d326b00061538594d
Shell
jikama93/dotfiles-2
/bin/yt-backup
UTF-8
291
2.78125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash function ytbackup() { # format the output correctly # youtube-dl $1 # get name somehow # tar czf "$video".tar.gz "$video" # rm "$video".tar.gz # rclone copy --fast-list --progress --checkers 50 --transfers 50 "$video".tar.gz "b2:parbs-media/YT/saved/$video" }
true
275a4e362f78f08787726dfd2d7c8f2b58f7b72e
Shell
sunfanyunn/ML2017
/hw2/test.sh
UTF-8
421
2.84375
3
[]
no_license
#!/usr/bin/env bash for i in 0.0008 0.0009 0.001 0.0011 0.0012 0.0015 0.0018 0.002 do echo $(python3 main.py $i) done : ' while ((1)) do num=$(( (RANDOM%106) + 1 )) for (( i=0; i<=num; i++ )) do arr[$i]=$(( (RANDOM%106) + 1 )) done echo $num, ${arr[@]} res=$(python main.py) b...
true
009c3905de82e51dcb91d3a4523476ca5b9a4934
Shell
rschenck/DPhilRotation1
/DataPreProcessing/DataDownload.sh
UTF-8
1,913
3.328125
3
[]
no_license
#!/usr/bin/env bash # Shell script used for downloading data. # Function to complete a local filepath get_abs_filename() { echo "$(cd "$(dirname "$1")" && pwd)/$(basename "$1")" } # Position rest of commands into DataPreProcessing directory cd "$(dirname "$0")" echo $PWD # Check ENCODE data FILES=0 PRESENT=0 whil...
true
2c4f2733de7cbeefde22e70c2831ed2babf45b4b
Shell
mahudu97/libxsmm
/samples/edge/repro/run_reproducer.slurm
UTF-8
2,743
3.0625
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash #---------------------------------------------------- # Sample SLURM job script # for TACC Stampede2 KNL nodes # # *** Serial Job on Normal Queue *** # # Last revised: 27 Jun 2017 # # Notes: # # -- Copy/edit this script as desired. Launch by executing # "sbatch knl.serial.slurm" on a Stampede2 l...
true
1ae7ec43ad3c80b2a996aecf048f471416e0bc4d
Shell
rodriguezmDNA/rnaseqScripts
/Old/02c_DeduplicatedPercentage.sh
UTF-8
3,489
4.0625
4
[]
no_license
#!/bin/bash # j rodriguez medina # github: @rodriguezmDNA # Brady lab @ ucdavis # obtain percentage of deduplicated reads from trimmed libraries. # Created # 2017.07.25_jrm # Last modified # 2017.07.25_jrm ############### ## Record time start_time=`date +%s` ## Get absolute path #Get the full path of the current scr...
true
21b199c5a34606e45b7fda0491f7b2bfdfde6258
Shell
expo/expo
/ios/versioned-react-native/ABI47_0_0/ReactNative/scripts/launchPackager.command
UTF-8
1,039
3.328125
3
[ "MIT", "BSD-3-Clause", "Apache-2.0" ]
permissive
#!/bin/bash # Copyright (c) Meta Platforms, Inc. and affiliates. # # This source code is licensed under the MIT license found in the # LICENSE file in the root directory of this source tree. # Set terminal title echo -en "\\033]0;Metro\\a" clear THIS_DIR=$(cd -P "$(dirname "$(readlink "${BASH_SOURCE[0]}" || echo "${B...
true
5f34b9dcf4336cac2580c82cf9a52bd3ab1002e1
Shell
lahwaacz/dotfiles
/.config/lf/previewer.sh
UTF-8
2,548
3.9375
4
[]
no_license
#!/bin/bash # Meaningful aliases for arguments: path="$1" # Full path of the selected file width="$2" # Width of the preview pane (number of fitting characters) height="$3" # Height of the preview pane (number of fitting characters) # Find out something about the file: mimetype=$(file --...
true